+ - Новая возможность
- - Исправление ошибки
! - Изменение или исправление, которое может повлиять на работу
    соответствующих подсистем и требует тщательного тестирования

  Сервер 5.2
-----------------------------------------------------------------
--- 5.2.3076 --- 13.11.2025
+ [289824] dsl v6 объектное представление выражений полей узла Поиск
- [291437] писать в лог, если невозможно запустить job по причине недостаточных прав доступа
- [290136] Схемы: Экспорт PDF - исправлен некорректный экспорт схемы
- [290998] v6 dsl доработка текстового представления дочерних контролов формы
- [290599] v6 dsl доработка Metadata.getDslSpec
- [291550] v6 dsl исправлена ошибка дублирования компонентов в секции для контролов

--- 5.2.3075 --- 10.11.2025
- [291404] некорректно определяется признак перевода поля типа дата время по формату при возврате записей данных
+ Text.binaryToString проверка BOM utf-8 и принудительная смена кодировки если есть BOM

--- 5.2.3074 --- 10.11.2025
- [291351] Схемы: Экспорт PDF - экспорт подложки работает аналогично Visio
+ [289821] dsl объектное представление подчиненных источников узла Поиск
+ [290230] dsl объектное представление параметров источников узла Поиск
- устранен NPE при обработке строки подключения к БД
- [291228] dsl исправлена функция getNodeContentAsText, чтобы она могла принимать контент узла

--- 5.2.3073 --- 01.11.2025
+ [290635] при подключении клиента возвращать серверный часовой пояс, если он включен
- [290741] Исправлено неправильное отображение выбранных значений справочников

--- 5.2.3072 --- 31.20.2025
- [290670] при старте агента прочитывать содержимое узла сервер из таблицы метаданных, а не из кеша узлов, чтобы не закешировались штампы контентов узлов без временной зоны, которая прочитывается из узла серевер
- [290683] Схемы: Экспорт PDF - доработка междустрочного интервала
+ [289225] Схемы: Экспорт VSDX - формирование геометрии для отображения пересечения динамических соединительных линий
+ [289820] dsl представление источников узла Поиск
- [290600] dsl исправлено описание перечислений, которые использовали русское название
- Исправлена синтаксическая ошибка в диагностическом сообщении о максимальной длине поля

--- 5.2.3071 --- 28.10.2025
- [290553] Схемы: Экспорт VSDX - NullPointerException при экспорте схемы
- fix minclient agent limitations
! [290483] Исправлена ошибка из-за которой неполное конфигурирование шаблонного пользователя для синхронизации по ldap могло привести к невозможность авторизоваться через kerberos
+ [289347] Схемы: Экспорт PDF/SVG/ODG/VSDX - настройки форматирования изображения (яркость, градиент, гамма)
                  Импорт ODG - настройки форматирования изображения (яркость, градиент, гамма)
- [290390] Исправлена невозможность авторизации пользователя с синхронизацией по ldap при отстутствии необязательных полей в таблице пользователей
- [290359] dsl исправлена некорректная загрузка и отображение точки актуальности  по значению
+ [289916] v6 JOP Metadata.getDslSpec(nodeType) для форм
- [290429] v6 dsl Ошибка запуска формы: неверный размер тега (5, 15) при загрузке объектного представления Грида

--- 5.2.3070 --- 22.10.2025
- [290237] Отчеты: для pdf учитывается цвет фона отдельных текстов
+ [289348] Схемы: импорт VSDX - импорт настроек форматирования изображения (яркость, градиент, гамма)
+ [288112] Возможность добавления водяных знаков к PDF файлам
- [290146] Схемы: импорт VSDX - скорректирован импорт диаграмм для возможности их выделения по click
+ [289819] dsl Объектное представление свойств узла Поиск
+ [289917] dsl прототип текстового представления поиска
- [289259] Схемы: Экспорт PDF - NullPointerException при экспорте схемы
- [289644] dsl ошибка при загрузке в объектоное представление: для объекта типа inform.agent.mtd.obj.DParameterSync не реализован метод loadScriptValue
- [289634] dsl в связке параметров отображать ссылки на контроля в виде ИД
- [289622] dsl missing ] after element list
- [289585] dsl не загружать повторяющиеся имена компонентов, контролов или источников
- [289482] dsl исправлено сохранения Грида (TAG_GRID_DISABLED_ACTIONS) в бинарное представление
- [289583] dsl для объекта типа DDisplayExpression был реализован метод loadScriptArrayItem
- [289541] jop=>bin сохранение дерева в теговый поток в таком же порядке, как в толстом клиенте
- [289643] dsl ошибка преобразования в бинарное представление: для объекта типа inform.agent.mtd.obj.DGridFooterRow не реализован метод loadScriptValue
- [289829] jop=>bin сохранение грида в теговый поток в таком же порядке, как в толстом клиенте
- [290105] dsl ошибка преобразования в бинарное представление: для объекта типа inform.agent.mtd.obj.DDatasourceSync не реализован метод loadScriptValue

--- 5.2.3069 --- 13.10.2025
- [288421] при сохранении в блоб-файл перемещать файл из временного каталога в постоянное место размещения использую атомарную функцию перемещения
+ [280605] v6 JOP объектное представление контрола формы Аналитическая таблица

--- 5.2.3068 --- 10.10.2025
- [289532] Схемы: добавлена иконка для вкладки указания цвета по цветовому коду в диалогах выбора цвета
- [289538] dsl=>jop не пересекать скриптовые объекты из dsl из разных секций
- [289507] некорректно формируется dsl=>jop настройки прав доступа
- [289506] некорректно формируется dsl текущего контрола  формы выбора параметра
- [289485] Некорректное преобразование dsl=>jop возвращаемых полей
- [282813] Отчеты xlsx: ячейки с типом Дата теперь имеют корректный формат в Excel
- [289484] dsl=>bin SQL-Оператор Тип присваиваемого свойства не совместим с типом присвоения
- [289401] dsl пропускать в текстовом представлении некорректные скриптовые имена, после добавления компонент или контролов публиковать компоненты со скриптовым именем
- [288632] Отчеты pdf: исправлена ошибка зацикливания при разбиении текста
+ [289340] #fstec При первом подключении администратора к пустой базе показывается окно установки пароля
+ [289321] #fstec в сертификационной сборке параметр сервера auth.password.different(запрет совпадения нового пароля с предыдущим) сделать всегда включенным
+ [288811] dsl добавлен упрощенный метод для проверки допустимости скриптового имени
- [289258] #fstec Минимальная длина пароля по умолчанию 8 символов в версии для ФСТЭК
- [289280] dsl доработан упрощенный метод для проверки допустимости скриптового имени
- [289346] dsl исправлена ошибка при получении объектного представления итогов Таблицы - Итоги по выделенным записям
- [289320] Схемы: исправлена ошибка связанная с загрузкой схемы

--- 5.2.3067 --- 06.10.2025
- [289219] Отчеты xlsx: исправлена ошибка обрезания длинных имен листов
- [289170] Схемы: импорт VSDX - скорректирован импорт диаграмм
- [288731] dsl исправлена ошибка при получении объектного представления контрола формы Таблица - Итоги
- [288734] dsl исправлена ошибка при получении объектного представления поля объектов - Выражение
- [288736] dsl исправлена ошибка при получении объектного представления столбца Таблицы

--- 5.2.3066 --- 01.10.2025
- [288751] wasm: исправлена ошибка аутентификации в wasm после доступа к анонимному ресурсу и гонки с получением телеметрии
- [288694] Схемы: импорт VSDX - для печати установка размера полей по умолчанию из стиля
- [288781] Схемы: экспорт SVG/PDF - доработано пересечение линий

--- 5.2.3065 --- 30.09.2025
- ошибка преобразования dsl=>bin действий компонентов формы
- [288614] Схемы: импорт VSSX/VSDX - скорректирован импорт текста фигур для примитивов библиотеки и вставки примитива
- [288745] Excel: при присваивании значения в ячейку учитывается тип ячейки
- [279925] Отчеты pdf: исправлена ошибка печати пустой таблицы

--- 5.2.3055 --- 29.09.2025
! [288007] #fstec Возвращены функции не входящие в сборку для ФСТЭК

--- 5.2.3054 --- 29.09.2025
! [288007] #fstec Отключены функции не входящие в сборку для ФСТЭК
- [288632] Отчеты pdf: исправлена ошибка формирования отчета
+ [287537] v6 JOP объектное представление контрола формы Дерево данных CONTROL_TREE - Ячейка узла дерева
+ [287543] v6 JOP объектное представление контрола формы Дерево данных CONTROL_TREE - Итоги дерева и столбца

--- 5.2.3053 --- 23.09.2025
+ [288351] писать в syslog факты запуска и завершения приложени, подключения и отключения пользователей
- [287981] Схемы: Экспорт DWG/DXF - атрибуты примитивов заменены на текстовые абзацы
+ [287535] v6 JOP объектное представление контрола формы Дерево данных CONTROL_TREE - Узел дерева
- [287053] Отчеты xlsx: исправлена ошибка реализации печати изображений, растянутых на несколько ячеек
+ [287534] v6 JOP объектное представление контрола формы Дерево данных CONTROL_TREE - Столбец дерева
- [288411] Отчеты ods: исправлена ошибка позиционирования картинок

--- 5.2.3052 --- 18.09.2025
- [287972] Схемы: импорт VSDX - скорректирован импорт геометрии при отсутствии значений свойств "FillPattern" и "LinePattern"
+ [287053] Отчеты xlsx: реализована поддержка печати изображений, растянутых на несколько ячеек
+ [287324] v6 JOP объектное представление контрола формы Таблица CONTROL_GRID - Итоги грида и столбца
+ [280603] v6 JOP объектное представление контрола формы Дерево данных CONTROL_TREE - Дерево
- [288121] #fsert DEREF_OF_NULL.RET.STAT PdfDocument.java

--- 5.2.3051 --- 09.09.2025
! [288007] #fsert использование специальных флагов компиляции для повышения безопасности
- [287856] v6 исправлены ошибки в текстовом представлении DExpression.argumentFieldIds, DFormDocument.groupsVisibility, DFormDocument.itemsVisibility
+ [287327] v6 JOP объектное представление контрола формы Таблица CONTROL_GRID - Столбец

--- 5.2.3050 --- 03.09.2025
- [287854] v6 ошибки в текстовом представлении DForm.shortcuts, DForm.extButtons, DDatasource.redefinedFields, DDatasource.returnedFields, изменен порядок именованных источников
+ [281122] Отчеты xlsx: добавлена поддержка печати документов

--- 5.2.3049 --- 02.09.2025
- [283983] Excel: исправлена работа функции evaluateCells
+ [287553] Схемы: Экспорт PDF - слои
- [287029] Отчеты xlsx: исправлена работа автофильтра
+ [287294] Pdf: добавлена функция удаления слоев clearStampLayer
+ [287294] Pdf: добавлена поддержка слоев для putStamp, putText, putLine
- [287466] #fsert UNCHECKED_FUNC_RES.STAT SchemeOpenRequest.java, ExtFilesNode.java, ConstantsNode.java, GetSQLText.java, Converter.java, SchemeObject.java
+ [270058] Схемы: экспорт VSDX - пересечение соединительных линий
+ [280600] v6 JOP объектное представление контрола формы Фрейм CONTROL_FRAME
+ [280612] v6 JOP объектное представление контрола формы Дерево метаданных CONTROL_METATREE
- [282621] v6 JOP Загрузка текстового представления в объектное DPopupMenuComponent.items и DPopupMenuItem.subMenuItems через DPopupMenuItems
- [287282]  Схемы: импорт Vsd - доработан импорт vsd -> vsdx
- [280561] v6 JOP объектное представление компонента Безопасность COMPONENT_SECURITY
+ [281082] v6 JOP объектное представление контрола формы Таблица CONTROL_GRID
- [287484] восстановлены константы пакета DataTypes

--- 5.2.3046 --- 19.08.2025
+ [280599] v6 JOP объектное представление контрола формы Панель инструментов CONTROL_DBNAVIGATOR
- [287153] Отчеты xlsx: исправлена ошибка формирования имен листов

--- 5.2.3045 --- 15.08.2025
- [286767] Отчеты xlsx: исправлена ошибка формирования отчета
- [286506] Отчеты xlsx: исправлена ошибка расчета смещения в ячейках таблиц
- [285743] Схемы: импорт Vsdx - исправлена ошибка импорта фигур, у которых размер тени был больше 100%
- [287020] Схемы: импорт Vsdx - исправлено некорректное определени типа тени фигуры
- [280582] v6 JOP объектное представление компонента Согласование COMPONENT_AGREEMENT
+ [287033] Схемы: импорт Vsdx - добавлен импорт свойства "Расположение" для типа тени "Перспектива"
+ [280564] v6 JOP объектное представление компонента Запуск узла COMPONENT_NODELAUNCHER

--- 5.2.3044 --- 12.08.2025
- [286520] #fsert сообщение диагностики: UNCHECKED_FUNC_RES.STAT at DataReplicationApplyEngine
- [286546] #fsert сообщение диагностики: UNCHECKED_FUNC_RES.STAT SchemeObject.java
- [280798] Схемы: исправлены ошибки в алгоритме применения темы к фигурам

--- 5.2.3043 --- 11.08.2025
- [286932] #fsert сообщение диагностики: UNCHECKED_FUNC_RES.STAT agent/web/AsyncExecutor.java
- [286918] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT agent/web/RequestTask.java
- [286520] Неправильно загружались pex

--- 5.2.3042 --- 11.08.2025 (не использовать не рабочая версия)
- [286083] Отчеты: исправлена ошибка обращения к несуществующей ячейке таблицы
- [273741] Схемы: экспорт DXF - не экпортировались фигуры скрытых слоев
- [286858] ошибка в текстовом представлении свойства accessRights
- [286838] ошибка в текстовом представлении свойства типы узлов
- [286843] доработка сохранения объектного преставления параметров в бинарное
- [280561] v6 JOP объектное представление компонента Безопасность COMPONENT_SECURITY

--- 5.2.3041 --- 07.08.2025
- [286834] не записываются параметры в бинарное представление при преобразовании из текствого
- [286550] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT Session.java
- [286557] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT WasmServlet.java
- [286459] #fsert сообщение диагностики: DEREF_OF_NULL.CONST jackson-databind JacksonAnnotationIntrospector.java
- [286437] #fsert сообщение диагностики: DEREF_OF_NULL.CONST jackson-databind EnumResolver.java
- [286436] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT jjwt EdwardsCurve.java
- [286532] #fsert сообщение диагностики: UNCHECKED_FUNC_RES.STAT unboundid-ldapsdk LDAPConnectionInternals.java
- [286465] #fsert сообщение диагностики: NULL_AFTER_DEREF jackson-databind MappingIterator.java
- [286556] #fsert сообщение диагностики: NULL_AFTER_DEREF VsdxReader.java
- [286530, 286546] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT HttpServer.java UNCHECKED_FUNC_RES.STAT SchemeObject.java
- [286528] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT GenerateFieldValue.java
- [286527] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT FieldValueGenerator.java BatchInsertEnginePGSQL.java
- [286520] #fsert сообщение диагностики: UNCHECKED_FUNC_RES.STAT DataReplicationApplyEngine.java
- [286477] #fsert сообщение диагностики: DEREF_OF_NULL.CONST jackson-databind ReferenceType.java
- [286535] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT agent/../content/OdgStyleGraphicsProperties.java
- [286551] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT agent/schemes/SvgWriter.java
- [286424] #fsert сообщение диагностики: DEREF_AFTER_NULL jackson-databind BasicDeserializerFactory.java
- [286432] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT jackson-databind DeserializationContext.java
- [286321] #fsert сообщение диагностики: DEREF_OF_NULL.RET.STAT inform/agent/db/AbstractConnectionManager.java
- [286489] #fsert сообщение диагностики: NULL_AFTER_DEREF in jackson-databind TestTreeTraversingParser.java
- [286351] #fsert сообщение диагностики: DYNAMIC_OVERFLOW math3/linear/HessenbergTransformer.java
- [286434] #fsert сообщение диагностики: UNCHECKED_FUNC_RES.STAT DPeriodAdjust.java
- [285937] добавлены константы для пакета Metadata NODE_ ...
- [286314] добавлены недостающие константы пакета DataTypes
- [286065] в DSL настройки параметров onBeforeChange и onChange перенесены из datamodel в parametrs

--- 5.2.3040 --- 01.08.2025
- [280798] Схемы: импорт VSDX - IndexOutOfBoundsException при определении свойств темы
+ [286269] функция проверки произвольного dsl формы Debug.compileFormDsl
- [286273] отчеты: исправлена ошибка обращения к столбцу по индексу

--- 5.2.3039 --- 01.08.2025
- [286090] Отчеты pdf: исправлена ошибка формирования таблицы

--- 5.2.3038 --- 31.07.2025
- [286090] Отчеты pdf: исправлена ошибка формирования таблицы

--- 5.2.3037 --- 31.07.2025
- [285998] при смене пароля пользователя проверять имя пользователя, а также выдавать ошибку, если пароль пустой и на сервере запрещены пустые пароли
- [284227] Схемы: экспорт DXF - неправильно устанавливалась толщина линий
+ [282918] js: добавлен новый метод Metadata.getRuntimeNodeContent для получение dsl runtime контента
- [285941] dsl исправлена ошибка при загрузке стиля дизайна у радио-кнопки

--- 5.2.3036 --- 30.07.2025
- [285832] Отчеты: исправлена ошибка расчета актуального цвета ячейки таблицы

--- 5.2.3035 --- 29.07.2025
- [285870] dsl при формировании бинарного представления из текстового во многих контролах размеры становятся нулевыми
+ [284203] dsl rqGetNodeHistory будет возвращать дополнительный параметр - тип контента узла
- [285843] dsl исправлена ошибка, когда не все реализованные компоненты создавались в MtdForm

--- 5.2.3034 --- 28.07.2025
- [285725] Схемы: импорт VSD - добавлен вывод stacktrace при ошибках конвертации VSD в VSDX
- [285727] Схемы: импорт VSDX - Диаграммы: не импортировались названия таблиц
- [285785] Схемы: экспорт ODG - исправлен некорректный экспорт габаритов схемы
- [285614] Схемы: экспорт PDF - исправлен некорректный экспорт габаритов схемы
- [284225] Схемы: экспорт DXF - не всегда экспортировался текст
+ [285613] Схемы: импорт ODG - поддержка обрезанных изображений
+ [284205] dsl добавлен новый тип запроса rqGetRuntimeNodeContent для запроса контента исторических узлов

--- 5.2.3033 --- 24.07.2025
- [284224] Схемы: экспорт DXF - неправильный экспорт атрибутов для внешней ссылки на примитив
! [285581] #fsert восстановлена работоспособность при старте с http сервером, используя java 17
+ [284012] Схемы: импорт VSDX - примечания
+ [284774] Схемы: импорт VSDX - Диаграммы: разбор вложенного как XLS-файл OLE-объекта

--- 5.2.3032 --- 23.07.2025 (неудачная версия падает на java 17)
+ [285549] при передаче в метод FileSystem.createZipReader поля типа блоб-файл использовать файл, не его бинарное представление
! [285581] #fsert внесены изменения для поддержки работы на сертифицированной java от РФЯЦ-ВНИИЭФ
- [285441] dsl некорректно формируется dsl поля ввода для свойства variantKey
- [279805] Схемы: экспорт VSDX - исправлен некорректный экспорт графических вставок
- [284918] Пакет Excel: рефакторинг кода при чтении больших xlsx-файлов

--- 5.2.3031 --- 16.07.2025
- [284918] Пакет Excel: RecordFormatException при чтении больших xlsx-файлов
- [284557] wasm: Конкретизировано сообщение об ошибке при попытке авторизоваться пользователем Active Directory, используя аргумент no_ad
- [284557] wasm: При обновлении страницы после неудачной авторизации Active Directory больше не показывается сообщение с логом вызванных функций
+ [284443] dsl объектное представление контрола формы Диаграмма
- [283625] dsl исправлена ошибка при загрузке настройки точки актуальности
- [283626] dsl ошибка при загрузке компонента фильтр данных
! [284905] Отчеты: исправлена работа с объединенными ячейками при формировании отчета в DOCX
- [285112] dsl исправлена ошибка при загрузке серии диаграм
- [285114] dsl исправлен неожиданный конец данных при загрузки формата опций диаграм

--- 5.2.3030 --- 07.07.2025
- [284399] исправлена диагностика длительных запросов к субд - в редких случаях в лог ошибочно писалось что запрос дительный и указывалось слишком большое время выполнения
! [282934] Отчеты: оптимизация памяти при генерации отчетов

--- 5.2.3023 --- 02.07.2025
- [284352] Схемы: экспорт VSDX - исправлена ошибка при которой схема может перестать открываться после экспорта
+ [284013] Схемы: экспорт VSDX - поддержка экспорта примечаний
- [284221] Схемы: экспорт PDF - исправлен некорректный экспорт схем с разметкой
- [282609, 282610] dsl загрузка текстового представления в объектное DDbfReader.fieldsArr, DDatalocator.refFieldsArr
- [282611] dsl загрузка текстового представления в объектное DDbfReader.fieldsArr

--- 5.2.3022 --- 25.06.2025
- при формировании sql расширеноого поиска в секции order by формировать выражения только с полями, в остальных случаях по индексу поля
- [284140, 284211] при загрузке пекс и репликациях не учитывать часовой пояс, если в сервере не настроен часовой пояс
- [284036] Схемы: экспорт ODG - исправлен некорректный экспорт толщины линии
- [284001] Схемы: экспорт ODG - экспорт крупногабаритных схем
- [283997] Схемы: экспорт PDF - экспорт крупногабаритных схем
- [284004] Схемы: экспорт PDF - обработка глифов, отсутствующих в шрифте
- [283404] Схемы: экспорт PDF - экспорт страниц работает аналогично Visio
- [283781] репликация с учетом текстового представления
- [283623] Схемы: Экспорт DWG/DXF
           - Добавлена запись свойства «$DWGCODEPAGE» в DXF-файл.
- [282887] Схемы: экспорт VSD - вывод сообщения о невозможности использования MS Visio 2007 и ранее
+ [283777] формирование и загрузка pex с учетом текстового представления, выдавать ошибки еслм версии сервера или клиента не подходящие

--- 5.2.3021 --- 18.06.2025
- [283988] Схемы: экспорт VSDX - исправлен экспорт текста для группы объектов
- при преобразоании обектного представления формы в бинарное вседа сохранять вид окна
- [283642] Схемы: импорт VSDX - оптимизирован вывод сообщений по ошибкам соединения фигур

--- 5.2.3020 --- 17.06.2025
- [283756] dsl ошибка при задании сортировки источника в текстовом представлении
- [283624] Схемы: импорт VSDX - скорректирован импорт размеров отступов страницы
- [283642] Схемы: импорт VSDX - скорректирован вывод сообщений по ошибкам соединения фигур с направляющими
+ [283599] в pha.conf для ldap.auth.password_file=file и в db.conf для password_file=file вместо параметра password
+ [283601] В web-запросах свойство request.location

--- 5.2.3019 --- 11.06.2025
+ [283601] В web-запросах теперь redirect учитывает заголовок X-Asmo-Web-Root

--- 5.2.3018 --- 09.06.2025
- [283488] Схемы: экспорт PDF/SVG - IndexOutOfBoundsException при экспорте схемы
- [283456] Схемы: экспорт PDF - исправлен некорректный экспорт пересечения линий

--- 5.2.3017 --- 05.06.2025
- [282832] Пакет Spreadsheets: исправлена ошибка #ЗНАЧ!, которая могла возникать в отчетах, содержащих формулы
- [283399] dsl ошибка при создании источника наработки

--- 5.2.3016 --- 05.06.2025
- [283397] dsl ошибка загрузки объектного представления некоторых старых форм
- [278500] Схемы: экспорт VSDX - исправлен экспорт размеров стрелок при наличии масштаба у страницы
+ [266742] Схемы: экспорт VSDX - поддержка обрезки изображений
- [283375] Схемы: экспорт ODG - исправлен некорректный экспорт графических вставок

--- 5.2.3015 --- 03.06.2025
- [276744] Схемы: экспорт VSDX - исправлена ошибка некорректной передачи цвета части атрибутов
- [280814] возможность задать несколько минимальных версий - для каждой старшей версии можно задать свою минимальную версию --minclient "5.2.1000,6.500"

--- 5.2.3014 --- 30.05.2025
+ [276686] #re возможность получать записи и сохранять в данных юнискодные символы в неюникодных полях

--- 5.2.3013 --- 28.05.2025
- [271798] отчеты: убрана привязка элементов отчетов к скриптам на сервере

--- 5.2.3012 --- 28.05.2025
+ новые иконки
- [279888] ошибка неверный размер тега при загрузке объектного предсталения параметров формы привязанного к параметру
- [282890] Схемы: экспорт SVG - доработан алгоритм экспорта стрелок
- [282684] Схемы: экспорт PDF - доработан алгоритм экспорта стрелок
+ диагностика invalid tag size

--- 5.2.3011 --- 27.05.2025
- [282734] не передавть атрибуты ldap, которые не преставимы в json

--- 5.2.3010 --- 26.05.2025
- [276686] не приходят некоторые атрибуты LDAP
- [282735] Отчеты xlsx: исправлена ошибка генерации отчета с ячейками большой ширины

--- 5.2.3009 --- 23.05.2025
- [282773] Исправлен ошибочный сброс постоянной сесии при закрытии клиентом браузера
- [282434] Схемы: экспорт PDF - доработан экспорт параграфов форм. текстов
- [282433] Схемы: экспорт SVG - доработан экспорт параграфов форм. текстов

--- 5.2.3008 --- 21.05.2025
+ [280193] прототип преобразования dsl -> bin
- [282430] Схемы: экспорт ODG - доработан экспорт параграфов форм. текстов

--- 5.2.3007 --- 20.05.2025
+ новые иконки
- [282588] Схемы: экспорт PDF - исправлен некорректный экспорт габаритов страницы
- [282592] Схемы: импорт VSDX - AssertionError при импорте контейнеров
- [282590] Схемы: экспорт VSDX - доработан экспорт параграфов форм. текстов
- [281535] Схемы: экспорт VSDX - скорректирован экспорт текста фигур

--- 5.2.3006 --- 15.05.2025
- [281164] Схемы: экспорт ODG - исправлены ошибки при экспорте библиотеки в схему
- [282338] Исправления записей в лог о постоянных wasm-сессиях:
           - Добавлено сообщение при старте сервера использованием постоянных wasm-сессий
           - Убрана ошибочная запись в лог о неизвестном теге при инициализации постоянной сессии

--- 5.2.3005 --- 13.05.2025
- [282307] некорретно передаются параметры дробного при формировании sql ограничивающего поиска из бочки
- [282299] при преобразовваении бинарного представдения в dsl экранировать символы в строковых значениях, если в них содержится нулевой символ

--- 5.2.3004 --- 13.05.2025
- [264278] invalid tag size при репликации временных данных

--- 5.2.3003 --- 12.05.2025
+ [187524] Схемы: импорт VSDX - скругленные углы фигур
- [281899] иправлены ошибки в текстовом представлении
+ [281220] запрос rqSetDslNodeContent
- [281536] Схемы: экспорт VSDX - экспорт непривязанной соединительной линии
- [273295] Исправлена кодировка текста при запуске с аргументом --help на Linux
+ [281722] Схемы: импорт VSDX - импорт текста фигур
+ [279371] Схемы: добавлена поддержка генераторов значений полей таблицы для случая изменения содержимого схемы
! [279721] Добавлена возможность использовать постоянные сессии wasm-клиентов (без необходимости повторного ввода пароля после закрытия вкладки)
- [281223] Отключена проверка наличия директории для доверенных jwt-ключей, когда в конфигурации отсутствуют jwt-ключи
+ новые иконки
+ DSL minor fix

--- 5.2.3002 --- 30.04.2025
- [264278] не использовать клиентский часовой пояс, если в узле сервер не настрон часовой пояс серевера
+ [280030] Пакет Graphics: js-функция "convertAvesTo"

--- 5.2.3001 --- 28.04.2025
- [281485] некорретно возвращаются временные данные сервером с поддержнкой временных зон на клиент, который не передаёт свою зону
+ [281229] доработка запросов для работы с текстовым предсавлением узлов rqGetNodeContent, rqGetTranslatedNodeContent, rqGetNodeContentIfModified, rqGetNodeContentVersion, rqGetHistoryItem, rqGetMultipleNodeContents, rqGetDesignNodeContent, rqGetDSLPresentation
- [264278] некрректный sql при получении списка запланированных заданий
+ новые иконки, обновление иконок

--- 5.2.3000 --- 25.04.2025
! [264278] возможность задавать часовой пояс, в котором хранятся данные со временем в СУБД
! [281163] поле dsl-представление в таблице узлов метаданных и истории метаданных, кеш dsl-контентов узлов
+ обновление иконок

--- 5.2.2117 --- 23.04.2025
+ новая иконка 1092 Диаграмма Ганта
+ [281097] запрос GetDSLPresentation
+ [280576] объектное представление компонента Диаграмма Ганта

--- 5.2.2116 --- 21.04.2025
- [280824] Схемы: экспорт VSDX - AssertionError при анализе геометрии
+ [280808] v6 пототип dsl представления

--- 5.2.2115 --- 17.04.2025
+ новые иконки
+ [280808] v6 пототип dsl представления

--- 5.2.2114 --- 16.04.2025
- [280806] Схемы: импорт ODG - NullPointerException при импорте схемы
+ [280690] v6 сохранение объектного представления модели данных jop -> bin
+ [203529] Схемы: экспорт VSDX - текст для фигур
- [275452] Схемы: импорт VSDX - для фигур установлен приоритет свойств заданного стиля перед свойствами мастера
- [279883] Схемы: импорт VSDX - скорректирован импорт текста
+ новые иконки

--- 5.2.2113 --- 09.04.2025
- [280496] Схемы: экспорт PDF - исправлен некорректный экспорт многосекционных фигур, содержащих градиентную заливку
- [279883] Схемы: импорт VSDX - скорректирован анализ формул геометрии при импорте из формата VSD
+ [280334] преобразование bin -> текст
+ исправлены иконки

--- 5.2.2112 --- 07.04.2025
- [279883] Схемы: импорт VSDX - не импортировался цвет фона текста
+ [280334] преобразование bin -> текст

--- 5.2.2111 --- 07.04.2025
+ [280254] Схемы: экспорт DWG/DXF - поддержка текста у фигур
+ [280253] Схемы: экспорт MIF - поддержка текста у фигур
+ [280252] Схемы: экспорт ODG - поддержка текста у фигур
- [280388] Исправлено падение сервера при наличии некорректного jwk ключа
+ [280251] Схемы: экспорт SVG - поддержка текста у фигур
+ [280338] N52147 - добавлена возможность аудита по системной таблице журнала Фильтров данных
+ [280250] Схемы: экспорт PDF - поддержка текста у фигур
- Более понятные сообщения об ошибках при работе с полями Blob и BlobFile

--- 5.2.2110 --- 03.04.2025
+ [280340] Схемы: экспорт текста у фигур
- [280324] ошибка при формировании sql вложенных расширенных union-поисков c сортирвовкой

--- 5.2.2109 --- 03.04.2025
- [280321] av при формировании sql вложенных расширенных поисков c сортирвовкой по первичному ключу

--- 5.2.2108 --- 03.04.2025
+ [278139] При установке соединения клиенту передаётся информация является ли текущее соединения анонимым с точки зрения сервера
- [279613] при формировании sql вложенных расширенных поисков в сортирвовке использовать выражения полей, а не индексы полей
+ [270065] Схемы: экспорт MIF - поддержка пересечения линий
+ [270061] Схемы: экспорт DWG/DXF - поддержка пересечения линий
- [280107] Отчеты xlsx: исправлена ошибка формирования отчета при наличии объединенных ячеек

--- 5.2.2107 --- 31.03.2025
- [280052] дополнительная диагностика ошибки подключения при проверки ссылочной целостности в репликациях
+ [279888] прототип преобразователя bin -> json
+ [270063] Схемы: экспорт SVG - поддержка пересечения линий

--- 5.2.2106 --- 31.03.2025
- [280052] диагностика ошибки подключения при проверки ссылочной целостности в репликациях

--- 5.2.2105 --- 28.03.2025
+ [270057] Схемы: импорт VSDX - пересечение линий
- [278697] Отчеты xlsx: добавлено ограничение для ширины колонок
+ [270064] Схемы: экспорт PDF - поддержка пересечения линий
- [270057] Схемы: импорт VSDX - исправлен импорт геометрии с типом "PolyLineTo"
+ [273913] #re TLS шифрование каналов связи
- [279865] Рефакторинг класса AbstractScriptableTask
- [279866] Схемы: экспорт PDF - исправлен некорректный экспорт текстов
- [274903] Схемы: экспорт VSDX - скорректирован экспорт определения атрибута
- [275135] Схемы: импорт VSDX - добавлена проверка необходимости импорта текста как отдельных частей с разными стилями
- [279863] Схемы: экспорт PDF - исправлена ошибка расчёта прозрачности у текста
+ [275226] В Web-запросе доступны методы из расчётного модуля (sleep, createScript, roundTo и т.д.)
- [279719] Добавлен запрет авторизации JSON Web Token, в котором дата создания токена находится в будущем
- [279726] Схемы: импорт VSDX - IndexOutOfBoundsException при установке стиля из темы
- [275907, 275589, 275581] Схемы: импорт VSD - исправление ошибок импорта
- исправлены иконки

--- 5.2.2104 --- 20.03.2025
- [279651] JS: поведение Прокси в библиотеке Net приведено в соответствие с документацией
+ [263869] Схемы: импорт VSDX - разбивка на фигуры вставленных внешних VSD/VSDX-файлов
! [279374] Исправлена ошибка авторизации через AD в браузере, когда у сервера выставлен анонимный пользователь
+ [277908] Схемы: экспорт SVG - поддержка обрезки изображения
+ [277905] Схемы: экспорт ODG - поддержка обрезки изображения
- [277841] Схемы: экспорт PDF - исправлен некорректный экспорт изображения
+ [277907] Схемы: экспорт PDF - поддержка обрезки изображения

--- 5.2.2103 --- 17.03.2025
- [279366] добавлент коментарий по поводу новых тегов клиентского протокола
- [279368] Авторизации через JWT теперь возможна и в случае существования нескольких одинаковых имён пользователей в разных регистрах

--- 5.2.2102 --- 12.03.2025
- [278475] Исправлена авторизация с помощью ssh-ключа
- исправлены иконки

--- 5.2.2100 --- 12.03.2025
! [278475] Добавлена возможность авторизации через внешний сервис с помощью JWT
- [278740] Отчеты xlsx: обработка ведущих пробелов приведена в соответствие с толстым клиентом

--- 5.2.2097 --- 06.03.2025
+ Добавлена иконка QR кода
- [278796] Для целых чисел не проводить округления при присвоении .asNumber

--- 5.2.2096 --- 04.03.2025
- [278529] Схемы: Экспорт SVG - учёт масштаба при экспорте
- [278545] Исправлен вывод информации об истории изменения данных
+ [271142] Отчеты xlsx: добавлена поддержка постпроцессинга

--- 5.2.2095 --- 28.02.2025
- [277724] Схемы: импорт VSDX - скорректирован импорт признака вписывания атрибута текста

--- 5.2.2094 --- 21.02.2025
- [277834] Схемы: Экспорт ODG - доработан экспорт текстов, чтобы избежать ситуаций, когда текст не умещается в рамке
- [277865] Пакет Text: "java.util.zip.ZipException: invalid entry size" при вызове js-функции "determineFormat()" для XLSX-файла
- [277797] В wasm версии открываются формы с анонимным доступом
+ Обновлены иконки стилей

--- 5.2.2093 --- 20.02.2025
- [277759] при переподклчении wasm клиента удалять предыдущую такуюже сессию
- [277724] Схемы: импорт VSDX - не импортировались картинки в формате wmf
+ Обновлены иконки стилей

--- 5.2.2092 --- 12.02.2025
- исправлены иконки

--- 5.2.2091 --- 11.02.2025
- [275575] Схемы: импорт VSDX - скорректирован импорт теста
- исправлены иконки

--- 5.2.2090 --- 07.02.2025
- [276837] #fsert сообщения диагностики: DEREF_OF_NULL.RET.STAT fsert src/server/agent/java/src/inform/agent/web/rq/NodeInfo.java
- [276879] #fsert сообщения диагностики: DEREF_AFTER_NULL XSLFTextRun.java
- [276840] #fsert сообщения диагностики: HANDLE_LEAK TestServer.java
- [276830] #fsert сообщения диагностики: DEREF_OF_NULL.RET.STAT SvgWriter.java
- [276827] #fsert сообщения диагностики: UNCHECKED_FUNC_RES.STAT SchemeExportRequest.java
- [276828] #fsert сообщения диагностики: UNCHECKED_FUNC_RES.STAT SchemeModificationRequest.java
- [276829] #fsert сообщения диагностики: DEREF_OF_NULL.RET.STAT SchemesManager.java
- [276819] #fsert сообщения диагностики: DEREF_OF_NULL.RET.STAT AbstractConnectionManager.java
- [276874] #fsert сообщения диагностики: DEREF_OF_NULL.RET.STAT ext/metro-saaj/saaj-ri/src/main/java/com/sun/xml/messaging/saaj/soap/SOAPPartImpl.java
- [276873] #fsert сообщения диагностики: HANDLE_LEAK ext/metro-saaj/saaj-ri/src/main/java/com/sun/xml/messaging/saaj/packaging/mime/internet/MimeUtility.java
- [276814] #fsert сообщения диагностики: HANDLE_LEAK.EX ext/unboundid-ldapsdk/src/com/unboundid/util/ssl/cert/ManageCertificates.java
- [276812] #fsert сообщения диагностики: DEREF_AFTER_NULL ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/unboundidds/tools/SplitLDIFFewestEntriesTranslator.java
- [276811] #fsert сообщения диагностики: DEREF_OF_NULL.RET.STAT ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/transformations/ReplaceWithCounterTransformation.java
- [276809] #fsert сообщения диагностики: UNCHECKED_FUNC_RES.STAT ext/unboundid-ldapsdk/src/com/unboundid/ldap/sdk/FewestConnectionsServerSet.java
- [276835] #fsert сообщения диагностики: DEREF_OF_NULL.RET.STAT src/server/agent/java/src/inform/agent/web/forms/components/WebDatasource.java
- [276834] #fsert сообщения диагностики: HANDLE_LEAK.EX src/server/agent/java/src/inform/agent/srv/ExternalConverter.java
- [276833] #fsert сообщения диагностики: DEREF_AFTER_NULL src/server/agent/java/src/inform/agent/scripts/sql/PeriodicBind.java
- [276867] #fsert сообщения диагностики: TAINTED_PTR ListLinks.java
- [276866] #fsert сообщения диагностики: TAINTED_PTR HtmlToPlainText.java
- [276868] #fsert сообщения диагностики: HANDLE_LEAK HttpConnection.java
- [276831] #fsert сообщения диагностики: DEREF_OF_NULL.RET.STAT src/server/agent/java/src/inform/agent/scripts/Datasource.java
- [276884] #fsert сообщения диагностики: NEGATIVE_CODE_ERROR.EX HSLFShape.java
- [276825] #fsert сообщения диагностики: UNCHECKED_FUNC_RES.STAT AuditJournal
- [276890] #fsert сообщения диагностики: DEREF_OF_NULL.CONST CryptoFunctions.java
- [276878] #fsert сообщения диагностики: DEREF_OF_NULL.CONST XSLFTextParagraph.java
- [276871] #fsert сообщения диагностики: DEREF_OF_NULL.CONST Session.java
- [276788] #fsert сообщения диагностики: UNCHECKED_FUNC_RES.STAT ArcsSet.java
- [276789] #fsert сообщения диагностики: DYNAMIC_OVERFLOW HessenbergTransformer.java
- [276790] #fsert сообщения диагностики: TAINTED_INT.LOOP SobolSequenceGenerator.java
- [276804] #fsert Сообщение диагностики: DEREF_AFTER_NULL, ScriptNode
- [276803] #fsert Сообщение диагностики: DEREF_AFTER_NULL, ConditionalExpression
- [276806] #fsert Сообщение диагностики: DEREF_AFTER_NULL, XMLObjectImpl
- [276853] #fsert сообщения диагностики: HANDLE_LEAK WriteTimeoutSocketTest.java
- [276852] #fsert сообщения диагностики: HANDLE_LEAK UUDecoderStreamTest.java
- [276850] #fsert сообщения диагностики: DEREF_OF_NULL.RET.STAT TAINTED_PTR MailHandlerTest.java
- [276860] #fsert сообщения диагностики: jetty.project, DEREF_OF_NULL.RET.STAT SslConnection
- [276875] #fsert сообщения диагностики: netty, DEREF_OF_NULL.RET.STAT UNCHECKED_FUNC_RES.STAT HttpPostRequestDecoder
- [276844] #fsert сообщения диагностики: DEREF_OF_NULL.CONST LogManagerPropertiesTest.java
- [276843] #fsert сообщения диагностики: DEREF_OF_NULL.CONST DurationFilterTest.java
- [276842] #fsert сообщения диагностики: DEREF_OF_NULL.CONST CompactFormatterTest.java
- [276841] #fsert сообщения диагностики: DEREF_OF_NULL.CONST CollectorFormatterTest.java
- [276839] #fsert сообщения диагностики: DEREF_OF_NULL.CONST SessionTest.java
- [276826] #fsert сообщения диагностики: NULL_AFTER_DEREF src/server/agent/java/src/inform/agent/mtd/UsersTable.java
- [276838] #fsert сообщения диагностики: HANDLE_LEAK UIDSetTest.java
- [276818] #fsert сообщения диагностики: UNCHECKED_FUNC_RES.STAT src/server/agent/java/src/inform/agent/am/Telemeter.java
- [276817] #fsert сообщения диагностики: UNCHECKED_FUNC_RES.STAT src/adt/java/src/inform/adt/taggedio/TaggedReader.java
- [276799] #fsert сообщения диагностики: DEREF_OF_NULL.RET.STAT XMPScheme.java
- [276798] #fsert сообщения диагностики: DEREF_OF_NULL.RET.STAT PDButton.java
- [276797] #fsert сообщения диагностики: DEREF_OF_NULL.RET.STAT PDVisibleSigBuilder.java
- [276795] #fsert сообщения диагностики: DEREF_OF_NULL.RET.STAT TrueTypeEmbedder.java
- [276816] #fsert сообщения диагностики: DEREF_AFTER_NULL src/adt/java/src/inform/adt/taggedio/InOutMemory.java
- [276786] #fsert сообщения диагностики: HANDLE_LEAK Tailer.java, TailerListener.java, TailerListenerAdapter.java
- [274361] #fsert Фаззинг: исправлена ошибка неверной обработки некорректного запроса по адресу runextapp, приводящая к возвращению "Ошибки сервера"
+ [270935] Отчеты: добавлена поддержка нумерации страниц с конкретного листа для форматов docx, odt и pdf
- [275142] Схемы: импорт VSDX - скорректирован расчет координат для вписанных атрибутов
- [163992] Загрузка pex: рефакторинг кода по загрузке констант
- исправлены иконки

--- 5.2.2089 --- 28.01.2025
- [276597] неправильная проверка встроенной аутентификации администратора при проверке возможности запуска инспектора модели данных
+ [271135] Отчеты xlsx: добавлена поддержка отчетов, в которых задан лист, открывающийся по умолчанию

--- 5.2.2088 --- 27.01.2025
- [275394] Исправлена аутентификация через Active Directory при открытии ссылок вида /runNode
- [275904] Схемы: импорт VSDX - скорректирован расчет межстрочного интервала для абсолютных величин
- [275898] Отчеты ods: исправлена ошибка формирования файла для отчетов, которые начинаются с вложенного узла дерева

--- 5.2.2087 --- 20.01.2024
- [275123] Схемы: импорт VSDX - скорректирован расчет координат тестовых атрибутов блока
- [275121] Схемы: импорт VSDX - скорректирован импорт соединений фигур
- [275340] Схемы: импорт ODG - NullPointerException при наличии в схеме OLE-объекта
+ [274926] Пакет TextDocuments: добавлена возможность вставлять изображения в параграф
- [274409] Серверные отчеты: исправлен запуск отчетов

--- 5.2.2086 --- 28.12.2024
- [275121] Схемы: импорт VSDX - скорректирован импорт соединений фигур
+ [274922] Пакет TextDocuments: добавлены свойства type для элементов, elemntsCount для документа, поиск элементов по тексту, возможность получить
           индекс элемента в документе, методы insertParagraph, insertColumn, insertRow, поддержка цветов из пакета Colors
+ Обновлены иконки

--- 5.2.2085 --- 26.12.2024
+ [274372] N51105 возможность аудита по системной таблице "Конфигурация аналитических таблиц"
- [274374] Пакет Browser: доработан метод openBlob для более точного анализа ошибок

--- 5.2.2084 --- 25.12.2024
- [274479] Схемы: Экспорт PDF - добавлен отступ в начале первой строки текста

--- 5.2.2083 --- 24.12.2024
- [274479] Схемы: Экспорт SVG - убран отступ в начале каждой строки

--- 5.2.2082 --- 24.12.2024
- [274420] Схемы: импорт VSDX - скорректирован импорт шрифта текста с учетом стиля и темы
- [274479] Схемы: Экспорт SVG/PDF/ODG - исправлен экспорт текстов
+ [274480] Пакет TextDocuments: реализован функционал для работы с таблицами Odt-документа

--- 5.2.2081 --- 19.12.2024
- [274123] Схемы: Экспорт VSDX - не экспортировался текст атрибутов
- [274166] #fsert fuzzing: исправлена ошибка не дающая запускать фаззинг java с нативной библиотекой aves
- [274146] #fsert fuzzing: некорректный запрос к Сервлету WASM возвращает не ошибку сервера, а ошибку пользователя
- [274125] Схемы: Экспорт ODG - исправлен экспорт текстов
+ [274366] Пакет TextDocuments: реализован функционал для работы с Odt-документами, параграфами Odt-документа

--- 5.2.2080 --- 17.12.2024
- [274037] Схемы: Экспорт ODG - исправлены многочисленные ошибки
- [274100] Схемы: Экспорт ODG - исправлен экспорт полей у текста при наличии масштабирования

--- 5.2.2079 --- 16.12.2024
- [274092] Схемы: исправлена ошибка масштабирования параметров параграфов при экспорте в vsdx
+ [273807] Пакет TextDocuments: добавлен метод mergeCells классу WordTable, обновлены методы добавления колонок - добавлена возможность указать ширину колонки

--- 5.2.2078 --- 14.12.2024
- [274067] Схемы: экспорт SVG - доработан экспорт текстов
- [274040] Схемы: Экспорт DWG/DXF - исправлено дублирование элементов вставки примитива
+ [272491] Схемы: экспорт VSDX - направляющие
+ [272492] Схемы: импорт VSDX - направляющие
- [274034] Схемы: исправлена ошибка экспорта атрибутов в vsdx
+ [273806] Пакет TextDocuments: добавлены методы insertColumnBefore, insertColumnAfter, insertRowBefore, insertRowAfter классу WordTable

--- 5.2.2077 --- 11.12.2024
- [273830] #fsert fuzzing: некорректный запрос к узлу Документа теперь не вызывает ClassCastException и ответ 500, вместо этого возвращается ответ 404.
- [273956] Схемы: импорт VSDX - скорректирован импорт динамических соединительных линий
- [272943] Схемы: Экспорт ODG - поддержка экспорта таблиц
- [273773] Схемы: исправлена ошибка экспорта настроек параграфов в vsdx
+ [273805] Пакет TextDocuments: добавлен класс WordTable, возможность изменять данные в ячейках таблицы

--- 5.2.2076 --- 09.12.2024
- [273953] не работает safemode если настроена политика обязательности пароля
+ [273808] Пакет TextDocuments: добавлены классы стилей, шрифта и параграфа для работы с абзацами внутри Word-Документа
+ [273812] Схемы: криволинейные соединительные линии при экспорте в vsdx

--- 5.2.2075 --- 08.12.2024
- [273891] #fsert fuzzing: Исправлено появление java.lang.ArrayOutOfBoundsException при некорректном http-запросе пользователя
- Исправлены иконки
